## org.codehaus.groovy.control
Class CompilationFailedException

Thrown when compilation fails from source errors.

author:
  Chris Poirier

version:
  $Id: CompilationFailedException.java 10601 2008-01-25 01:11:39Z blackdrag $

Field Summary
`int` | `phase`
`ProcessingUnit` | `unit`

Constructor Summary
`CompilationFailedException(int phase, ProcessingUnit unit, Throwable cause)`
`CompilationFailedException(int phase, ProcessingUnit unit)`

Method Summary
`ProcessingUnit` | `getUnit()` Returns the ProcessingUnit in which the error occurred.

Constructor Detail

### CompilationFailedException

    public CompilationFailedException(int phase, ProcessingUnit unit, Throwable cause)

### CompilationFailedException

    public CompilationFailedException(int phase, ProcessingUnit unit)

Method Detail

### getUnit

    public ProcessingUnit getUnit()

  Returns the ProcessingUnit in which the error occurred.